%bcond_without check

%global goipath         github.com/martini-contrib/render
%global commit          ec18f8345a1181146728238980606fb1d6f40e8c

%gometa

%global common_description %{expand:
Martini middleware/handler for easily rendering serialized JSON, XML, and HTML
template responses.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Martini middleware/handler for easily rendering serialized template responses

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/go-martini/martini)
BuildRequires:  golang(github.com/oxtoacart/bpool)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
